let ribbonSet = window.localStorage.getItem("ribbonSet");
ribbonSet = ribbonSet
  ? JSON.parse(ribbonSet)
  : { keyboardMark: false, needEnterSubmit: true };

const state = {
  paramsSet: {},
  page: {
    current: 1,
    size: 12,
    total: 0,
    totalPage: 1
  },
  steps: {},
  curStep: { name: "", count: 0 },
  areas: [],
  curArea: {},
  curSubject: {},
  ribbonSet,
  curUserRoleType: "",
  IS_MARKER: false,
  IS_MARK_LEADER: false
};
const mutations = {
  setParamSet(state, paramsSet) {
    state.paramsSet = paramsSet;
  },
  setPage(state, page) {
    state.page = Object.assign({}, state.page, page);
  },
  setSteps(state, steps) {
    state.steps = steps;
  },
  setCurStep(state, curStep) {
    state.curStep = curStep;
  },
  setAreas(state, areas) {
    state.areas = areas;
  },
  setCurArea(state, curArea) {
    state.curArea = curArea;
  },
  setCurSubject(state, curSubject) {
    state.curSubject = curSubject;
  },
  setCurUserRoleType(state, curUserRoleType) {
    state.curUserRoleType = curUserRoleType;
    state.IS_MARKER = curUserRoleType === "MARKER";
    state.IS_MARK_LEADER = curUserRoleType === "MARK_LEADER";
  },
  setRibbonSet(state, ribbonSet) {
    state.ribbonSet = ribbonSet;
    window.localStorage.setItem("ribbonSet", JSON.stringify(ribbonSet));
  },
  clearState(state) {
    state.paramsSet = {};
    state.page = {
      current: 1,
      size: 12,
      total: 0,
      totalPage: 1
    };
    state.steps = {};
    state.curStep = { name: "", count: 0 };
    state.curArea = {};
    state.curSubject = {};
    state.curUserRoleType = "";
    state.IS_MARKER = false;
    state.IS_MARK_LEADER = false;
  }
};

export default {
  namespaced: true,
  state,
  mutations
};
